Skip to content
Newer
Older
100644 40 lines (30 sloc) 1.17 KB
49a4cd9 @hzeller o Provide an INSTALL.md that explains how to compile on older systems.
authored
1 ## Typical installation ##
2
3 On a reasonably fresh system (e.g. Ubuntu 11.10 and 12.04), installation is
4 straightforward. To compile, this is what you need to do:
5
6 sudo apt-get install libsndfile-dev libflac-dev libzita-convolver-dev \
7 libfuse-dev libboost-thread-dev libmicrohttpd-dev
8 make
9
10 To install in the default location /usr/local/bin, just do
11 sudo make install
12
13 .. otherwise specify the alternative location with DESTDIR
14 sudo make DESTDIR=/usr install
15
16 ## Older Systems ##
17 Older systems, e.g. Ubuntu 10.04 lack sufficiently, recent libraries for fuse
18 and the zita convolver. You've compile these yourself.
19
20 # The FUSE library
21 cd /tmp
22 wget http://sourceforge.net/projects/fuse/files/fuse-2.X/2.9.1/fuse-2.9.1.tar.gz
23 tar xvzf fuse-2.9.1.tar.gz
24 cd fuse-2.9.1/
25 ./configure
26 make
27 sudo make install
28
29 also
30
31 # The Zita convolver
32 cd /tmp
33 wget http://kokkinizita.linuxaudio.org/linuxaudio/downloads/zita-convolver-3.1.0.tar.bz2
34 tar xvjf zita-convolver-3.1.0.tar.bz2
35 cd zita-convolver-3.1.0/libs
36 make
37 sudo make LIBDIR=lib install
38
39 Now, the compilation step in 'Typical installation' should succeed.
Something went wrong with that request. Please try again.